%define upstream_name    Tapper-Reports-Receiver
%define upstream_version 4.1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Receive test reports
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(AnyEvent::Handle)
BuildRequires: perl(AnyEvent::Socket)
BuildRequires: perl(Class::C3)
BuildRequires: perl(Data::DPath)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(DateTime::Format::Mail)
BuildRequires: perl(DateTime::Format::Natural)
BuildRequires: perl(Devel::Backtrace)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::MimeInfo::Magic)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(HTTP::Daemon)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(LockFile::Simple) >= 0.208.0
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(Module::Find) >= 0.110.0
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Daemonize)
BuildRequires: perl(MooseX::Log::Log4perl)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sys::Syslog)
BuildRequires: perl(Tapper::Base)
BuildRequires: perl(Tapper::Config)
BuildRequires: perl(Tapper::Model)
BuildRequires: perl(Tapper::Schema)
BuildRequires: perl(Tapper::Schema::TestTools)
BuildRequires: perl(Tapper::TAP::Harness)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fixture::DBIC::Schema)
BuildRequires: perl(Test::More)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Tapper Distribution for Recevining Test Reports.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SPEC
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/tapper-reports-receiver
/usr/bin/tapper-reports-receiver-daemon
/usr/share/man/man1/tapper-reports-receiver-daemon.1.xz
/usr/share/man/man1/tapper-reports-receiver.1.xz

%changelog
* Mon Jun 10 2013 jquelin <jquelin> 4.1.3-1.mga4
+ Revision: 441770
- update to 4.1.3
- update to 4.1.2

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 shlomif <shlomif> 4.1.1-1.mga3
+ Revision: 310983
- Add missing BR
- Missing desc
- imported package perl-Tapper-Reports-Receiver


* Sun Oct 28 2012 cpan2dist 4.1.1-1mga
- initial mageia release, generated with cpan2dist
